Autodesk.AutoCAD.DatabaseServices Namespace > Entity Class > Entity Methods > BoundingBoxIntersectWith Method > BoundingBoxIntersectWith(Entity, Autodesk.AutoCAD.DatabaseServices.Intersect, Plane, Point3dCollection, IntPtr, IntPtr) Method
Entity.BoundingBoxIntersectWith(Entity, Autodesk.AutoCAD.DatabaseServices.Intersect, Plane, Point3dCollection, IntPtr, IntPtr) Method
Description

Projects the bounding box edges of this entity and the entityPointer entity onto the projectionPlane, finds the intersection points, and then projects the intersection points back onto the appropriate bounding box edge of this entity. 

All points appended to the points array are on the bounding box edges of the entity. The projections are done parallel to the projectionPlane's normal vector.

Visual Basic
Public Function BoundingBoxIntersectWith(
    entityPointer As Entity, 
    intersectType As Autodesk.AutoCAD.DatabaseServices.Intersect, 
    projectionPlane As Plane, 
    points As Point3dCollection, 
    thisGraphicSystemMarker As IntPtr, 
    otherGraphicSystemMarker As IntPtr
) As void
C#
public void BoundingBoxIntersectWith(
    Entity entityPointer, 
    Autodesk.AutoCAD.DatabaseServices.Intersect intersectType, 
    Plane projectionPlane, 
    Point3dCollection points, 
    IntPtr thisGraphicSystemMarker, 
    IntPtr otherGraphicSystemMarker
);
Parameters
Parameters 
Description 
Entity entityPointer 
Input entity with which "this" entity will intersect 
Autodesk.AutoCAD.DatabaseServices.Intersect intersectType 
Input requested intersection type 
Plane projectionPlane 
Input projection plane for the apparent intersection of the two entities 
Point3dCollection points 
Output with the points (in WCS coordinates) of intersection appended 
IntPtr thisGraphicSystemMarker 
Input GS marker of subentity of "this" entity that's involved in the intersection operation. May be 0 if not applicable 
IntPtr otherGraphicSystemMarker 
Input GS marker of subentity of the entity pointed to by entityPointer that's involved in the intersection operation. May be 0 if not applicable 
Remarks

The possible Intersect values for intersectType are:

Intersect.OnBothOperands 
Do not extend either this entity's bounding box edges nor the entityPointer entity. This results in only calculating intersections where the bounding box lines actually intersect with the entityPointer entity. 
Intersect.ExtendThis 
Extend this entity's bounding box edges (if necessary) when calculating intersections, but do not extend the entityPointer entity. 
Intersect.ExtendArg  
Extend the entityPointer entity (if necessary) when calculating intersections, but do not extend this entity's bounding box edges. 
Intersect.ExtendBoth 
Extend both the entityPointer entity and this entity's bounding box edges (if necessary) when calculating intersections 
Links
   Comments?